# Class JspUtil.ValidAttribute

java.lang.Object
org.apache.jasper.compiler.JspUtil.ValidAttribute

Enclosing class:
  `JspUtil`

public static class JspUtil.ValidAttribute extends Object
Represents a valid attribute for a tag.

## Constructor Summary

Constructors
Constructor
Description
`ValidAttribute(String name)`
Constructs an optional instance with the given name.
`ValidAttribute(String name, boolean mandatory)`
Constructs an instance with the given name and mandatory flag.

## Method Summary

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ValidAttribute

public ValidAttribute(String name, boolean mandatory)
Constructs an instance with the given name and mandatory flag.

Parameters:
  `name` - The attribute name
  `mandatory` - Whether the attribute is mandatory

### ValidAttribute

public ValidAttribute(String name)
Constructs an optional instance with the given name.

Parameters:
  `name` - The attribute name